<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DeskHelper: Класс ReminderTable</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">DeskHelper
   </div>
   <div id="projectbrief">app for quick and convenient (voice input) access to data, to other app as well as for reminders</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Создано системой Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Поиск');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Поиск');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Открытые члены</a> &#124;
<a href="#properties">Свойства</a> &#124;
<a href="classReminderTable-members.html">Полный список членов класса</a>  </div>
  <div class="headertitle">
<div class="title">Класс ReminderTable</div>  </div>
</div><!--header-->
<div class="contents">

<p>Таблица напоминаний  
 <a href="classReminderTable.html#details">Подробнее...</a></p>
<div class="dynheader">
Граф наследования:ReminderTable:</div>
<div class="dyncontent">
<div class="center"><img src="classReminderTable__inherit__graph.png" border="0" usemap="#ReminderTable_inherit__map" alt="Inheritance graph"/></div>
<map name="ReminderTable_inherit__map" id="ReminderTable_inherit__map">
<area shape="rect" title="Таблица напоминаний" alt="" coords="5,80,124,107"/>
<area shape="rect" title=" " alt="" coords="26,5,103,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">см. легенду</a>]</span></center></div>
<div class="dynheader">
Граф связей класса ReminderTable:</div>
<div class="dyncontent">
<div class="center"><img src="classReminderTable__coll__graph.png" border="0" usemap="#ReminderTable_coll__map" alt="Collaboration graph"/></div>
<map name="ReminderTable_coll__map" id="ReminderTable_coll__map">
<area shape="rect" title="Таблица напоминаний" alt="" coords="5,80,124,107"/>
<area shape="rect" title=" " alt="" coords="26,5,103,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">см. легенду</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Открытые члены</h2></td></tr>
<tr class="memitem:aa866e3f16fb5e16c7f2296df63b350c5"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classReminderTable.html#aa866e3f16fb5e16c7f2296df63b350c5">get_reminder_name</a> ()</td></tr>
<tr class="memdesc:aa866e3f16fb5e16c7f2296df63b350c5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Функция получения названия напоминания из текущего элемента  <a href="classReminderTable.html#aa866e3f16fb5e16c7f2296df63b350c5">Подробнее...</a><br /></td></tr>
<tr class="separator:aa866e3f16fb5e16c7f2296df63b350c5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a05f7fdd9d987fe9f2293b1165047343b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classReminderTable.html#a05f7fdd9d987fe9f2293b1165047343b">get_reminder_date</a> ()</td></tr>
<tr class="memdesc:a05f7fdd9d987fe9f2293b1165047343b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Функция получения даты напоминания из текущего элемента  <a href="classReminderTable.html#a05f7fdd9d987fe9f2293b1165047343b">Подробнее...</a><br /></td></tr>
<tr class="separator:a05f7fdd9d987fe9f2293b1165047343b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8a3fb093becac3ca20f56b671183fb77"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classReminderTable.html#a8a3fb093becac3ca20f56b671183fb77">get_reminder_time</a> ()</td></tr>
<tr class="memdesc:a8a3fb093becac3ca20f56b671183fb77"><td class="mdescLeft">&#160;</td><td class="mdescRight">Функция получения времени напоминания из текущего элемента  <a href="classReminderTable.html#a8a3fb093becac3ca20f56b671183fb77">Подробнее...</a><br /></td></tr>
<tr class="separator:a8a3fb093becac3ca20f56b671183fb77"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adf4ea392dfa0e952fcbaac0ae7cd6b4b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classReminderTable.html#adf4ea392dfa0e952fcbaac0ae7cd6b4b">get_reminder_details</a> ()</td></tr>
<tr class="memdesc:adf4ea392dfa0e952fcbaac0ae7cd6b4b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Функция получения описания напоминания из текущего элемента  <a href="classReminderTable.html#adf4ea392dfa0e952fcbaac0ae7cd6b4b">Подробнее...</a><br /></td></tr>
<tr class="separator:adf4ea392dfa0e952fcbaac0ae7cd6b4b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa7ac58e83d2ea6d39df9d3b018195390"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classReminderTable.html#aa7ac58e83d2ea6d39df9d3b018195390">get_reminder_repeat</a> ()</td></tr>
<tr class="memdesc:aa7ac58e83d2ea6d39df9d3b018195390"><td class="mdescLeft">&#160;</td><td class="mdescRight">Функция получения частоты напоминания из текущего элемента  <a href="classReminderTable.html#aa7ac58e83d2ea6d39df9d3b018195390">Подробнее...</a><br /></td></tr>
<tr class="separator:aa7ac58e83d2ea6d39df9d3b018195390"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a628aaf8d08ed0a041e83e8af5afccf24"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classReminderTable.html#a628aaf8d08ed0a041e83e8af5afccf24">getID</a> ()</td></tr>
<tr class="memdesc:a628aaf8d08ed0a041e83e8af5afccf24"><td class="mdescLeft">&#160;</td><td class="mdescRight">Функция получения ID напоминания  <a href="classReminderTable.html#a628aaf8d08ed0a041e83e8af5afccf24">Подробнее...</a><br /></td></tr>
<tr class="separator:a628aaf8d08ed0a041e83e8af5afccf24"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6546638618a3d95984c28f14f3f12e05"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classReminderTable.html#a6546638618a3d95984c28f14f3f12e05">deleteAnimation</a> ()</td></tr>
<tr class="memdesc:a6546638618a3d95984c28f14f3f12e05"><td class="mdescLeft">&#160;</td><td class="mdescRight">Функция запуска анимации удаления текущего элемента  <a href="classReminderTable.html#a6546638618a3d95984c28f14f3f12e05">Подробнее...</a><br /></td></tr>
<tr class="separator:a6546638618a3d95984c28f14f3f12e05"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa71f41d1a009dad731de056ae3fb6e32"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classReminderTable.html#aa71f41d1a009dad731de056ae3fb6e32">expandAnimHeight</a> ()</td></tr>
<tr class="memdesc:aa71f41d1a009dad731de056ae3fb6e32"><td class="mdescLeft">&#160;</td><td class="mdescRight">Функция расширения высоты ячейки напоминания  <a href="classReminderTable.html#aa71f41d1a009dad731de056ae3fb6e32">Подробнее...</a><br /></td></tr>
<tr class="separator:aa71f41d1a009dad731de056ae3fb6e32"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7935398aa9c2024f7aaf086851c30ab4"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classReminderTable.html#a7935398aa9c2024f7aaf086851c30ab4">expandAnimWidth</a> ()</td></tr>
<tr class="memdesc:a7935398aa9c2024f7aaf086851c30ab4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Функция расширения ширины ячейки напоминания  <a href="classReminderTable.html#a7935398aa9c2024f7aaf086851c30ab4">Подробнее...</a><br /></td></tr>
<tr class="separator:a7935398aa9c2024f7aaf086851c30ab4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4c51510167029ac9d21681887c883bbb"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classReminderTable.html#a4c51510167029ac9d21681887c883bbb">setEnable</a> (enabledValue)</td></tr>
<tr class="memdesc:a4c51510167029ac9d21681887c883bbb"><td class="mdescLeft">&#160;</td><td class="mdescRight">Функция установки возможности изменения текущего напоминания  <a href="classReminderTable.html#a4c51510167029ac9d21681887c883bbb">Подробнее...</a><br /></td></tr>
<tr class="separator:a4c51510167029ac9d21681887c883bbb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a616f4a8757fc6e1beb973de72924aa33"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classReminderTable.html#a616f4a8757fc6e1beb973de72924aa33">setID</a> (id)</td></tr>
<tr class="memdesc:a616f4a8757fc6e1beb973de72924aa33"><td class="mdescLeft">&#160;</td><td class="mdescRight">Функция установки ID напоминания  <a href="classReminderTable.html#a616f4a8757fc6e1beb973de72924aa33">Подробнее...</a><br /></td></tr>
<tr class="separator:a616f4a8757fc6e1beb973de72924aa33"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa63d0ea42aa3dd75c2b27dadef20b3f8"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classReminderTable.html#aa63d0ea42aa3dd75c2b27dadef20b3f8">addingReminder</a> ()</td></tr>
<tr class="memdesc:aa63d0ea42aa3dd75c2b27dadef20b3f8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Добавление напоминания  <a href="classReminderTable.html#aa63d0ea42aa3dd75c2b27dadef20b3f8">Подробнее...</a><br /></td></tr>
<tr class="separator:aa63d0ea42aa3dd75c2b27dadef20b3f8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a013791647acb99a75efa7a098cdf93ac"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classReminderTable.html#a013791647acb99a75efa7a098cdf93ac">removeReminder</a> ()</td></tr>
<tr class="memdesc:a013791647acb99a75efa7a098cdf93ac"><td class="mdescLeft">&#160;</td><td class="mdescRight">Удаление напоминания  <a href="classReminderTable.html#a013791647acb99a75efa7a098cdf93ac">Подробнее...</a><br /></td></tr>
<tr class="separator:a013791647acb99a75efa7a098cdf93ac"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="properties"></a>
Свойства</h2></td></tr>
<tr class="memitem:a418f8da9f06d70fb9d9afe00f6468f6d"><td class="memItemLeft" align="right" valign="top">Gradient&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classReminderTable.html#a418f8da9f06d70fb9d9afe00f6468f6d">gradientStandart</a></td></tr>
<tr class="memdesc:a418f8da9f06d70fb9d9afe00f6468f6d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Стандартный градиент  <a href="classReminderTable.html#a418f8da9f06d70fb9d9afe00f6468f6d">Подробнее...</a><br /></td></tr>
<tr class="separator:a418f8da9f06d70fb9d9afe00f6468f6d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7a472d91061a9d010096455ad5a45cf0"><td class="memItemLeft" align="right" valign="top">Gradient&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classReminderTable.html#a7a472d91061a9d010096455ad5a45cf0">gradientEntered</a></td></tr>
<tr class="memdesc:a7a472d91061a9d010096455ad5a45cf0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Стандартный градиент при нажатии  <a href="classReminderTable.html#a7a472d91061a9d010096455ad5a45cf0">Подробнее...</a><br /></td></tr>
<tr class="separator:a7a472d91061a9d010096455ad5a45cf0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a76bdfe7803d29056ec0b2b2ffeace1d9"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classReminderTable.html#a76bdfe7803d29056ec0b2b2ffeace1d9">enabled_value</a></td></tr>
<tr class="memdesc:a76bdfe7803d29056ec0b2b2ffeace1d9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Флаг возможности изменения текущего значения  <a href="classReminderTable.html#a76bdfe7803d29056ec0b2b2ffeace1d9">Подробнее...</a><br /></td></tr>
<tr class="separator:a76bdfe7803d29056ec0b2b2ffeace1d9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a128aefc7faa69107f3860ef32c35f58e"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classReminderTable.html#a128aefc7faa69107f3860ef32c35f58e">expandedCount</a></td></tr>
<tr class="separator:a128aefc7faa69107f3860ef32c35f58e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Подробное описание</h2>
<div class="textblock"><p>Таблица напоминаний </p>

<p class="definition">См. определение в файле <a class="el" href="ReminderTable_8qml_source.html">ReminderTable.qml</a> строка <a class="el" href="ReminderTable_8qml_source.html#l00013">13</a></p>
</div><h2 class="groupheader">Методы</h2>
<a id="aa63d0ea42aa3dd75c2b27dadef20b3f8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa63d0ea42aa3dd75c2b27dadef20b3f8">&#9670;&nbsp;</a></span>addingReminder()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void ReminderTable::addingReminder </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Добавление напоминания </p>

</div>
</div>
<a id="a6546638618a3d95984c28f14f3f12e05"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6546638618a3d95984c28f14f3f12e05">&#9670;&nbsp;</a></span>deleteAnimation()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void ReminderTable::deleteAnimation </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Функция запуска анимации удаления текущего элемента </p>

</div>
</div>
<a id="aa71f41d1a009dad731de056ae3fb6e32"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa71f41d1a009dad731de056ae3fb6e32">&#9670;&nbsp;</a></span>expandAnimHeight()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void ReminderTable::expandAnimHeight </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Функция расширения высоты ячейки напоминания </p>

</div>
</div>
<a id="a7935398aa9c2024f7aaf086851c30ab4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7935398aa9c2024f7aaf086851c30ab4">&#9670;&nbsp;</a></span>expandAnimWidth()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void ReminderTable::expandAnimWidth </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Функция расширения ширины ячейки напоминания </p>

</div>
</div>
<a id="a05f7fdd9d987fe9f2293b1165047343b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a05f7fdd9d987fe9f2293b1165047343b">&#9670;&nbsp;</a></span>get_reminder_date()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void ReminderTable::get_reminder_date </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Функция получения даты напоминания из текущего элемента </p>

</div>
</div>
<a id="adf4ea392dfa0e952fcbaac0ae7cd6b4b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adf4ea392dfa0e952fcbaac0ae7cd6b4b">&#9670;&nbsp;</a></span>get_reminder_details()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void ReminderTable::get_reminder_details </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Функция получения описания напоминания из текущего элемента </p>

</div>
</div>
<a id="aa866e3f16fb5e16c7f2296df63b350c5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa866e3f16fb5e16c7f2296df63b350c5">&#9670;&nbsp;</a></span>get_reminder_name()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void ReminderTable::get_reminder_name </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Функция получения названия напоминания из текущего элемента </p>

</div>
</div>
<a id="aa7ac58e83d2ea6d39df9d3b018195390"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa7ac58e83d2ea6d39df9d3b018195390">&#9670;&nbsp;</a></span>get_reminder_repeat()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void ReminderTable::get_reminder_repeat </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Функция получения частоты напоминания из текущего элемента </p>

</div>
</div>
<a id="a8a3fb093becac3ca20f56b671183fb77"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8a3fb093becac3ca20f56b671183fb77">&#9670;&nbsp;</a></span>get_reminder_time()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void ReminderTable::get_reminder_time </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Функция получения времени напоминания из текущего элемента </p>

</div>
</div>
<a id="a628aaf8d08ed0a041e83e8af5afccf24"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a628aaf8d08ed0a041e83e8af5afccf24">&#9670;&nbsp;</a></span>getID()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void ReminderTable::getID </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Функция получения ID напоминания </p>

</div>
</div>
<a id="a013791647acb99a75efa7a098cdf93ac"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a013791647acb99a75efa7a098cdf93ac">&#9670;&nbsp;</a></span>removeReminder()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void ReminderTable::removeReminder </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Удаление напоминания </p>

</div>
</div>
<a id="a4c51510167029ac9d21681887c883bbb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4c51510167029ac9d21681887c883bbb">&#9670;&nbsp;</a></span>setEnable()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void ReminderTable::setEnable </td>
          <td>(</td>
          <td class="paramtype">enabledValue&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Функция установки возможности изменения текущего напоминания </p>

</div>
</div>
<a id="a616f4a8757fc6e1beb973de72924aa33"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a616f4a8757fc6e1beb973de72924aa33">&#9670;&nbsp;</a></span>setID()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void ReminderTable::setID </td>
          <td>(</td>
          <td class="paramtype">id&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Функция установки ID напоминания </p>

</div>
</div>
<h2 class="groupheader">Полный список свойств</h2>
<a id="a76bdfe7803d29056ec0b2b2ffeace1d9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a76bdfe7803d29056ec0b2b2ffeace1d9">&#9670;&nbsp;</a></span>enabled_value</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool ReminderTable::enabled_value</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Флаг возможности изменения текущего значения </p>

<p class="definition">См. определение в файле <a class="el" href="ReminderTable_8qml_source.html">ReminderTable.qml</a> строка <a class="el" href="ReminderTable_8qml_source.html#l00020">20</a></p>

</div>
</div>
<a id="a128aefc7faa69107f3860ef32c35f58e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a128aefc7faa69107f3860ef32c35f58e">&#9670;&nbsp;</a></span>expandedCount</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int ReminderTable::expandedCount</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">См. определение в файле <a class="el" href="ReminderTable_8qml_source.html">ReminderTable.qml</a> строка <a class="el" href="ReminderTable_8qml_source.html#l00022">22</a></p>

</div>
</div>
<a id="a7a472d91061a9d010096455ad5a45cf0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7a472d91061a9d010096455ad5a45cf0">&#9670;&nbsp;</a></span>gradientEntered</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Gradient ReminderTable::gradientEntered</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Стандартный градиент при нажатии </p>

<p class="definition">См. определение в файле <a class="el" href="ReminderTable_8qml_source.html">ReminderTable.qml</a> строка <a class="el" href="ReminderTable_8qml_source.html#l00018">18</a></p>

</div>
</div>
<a id="a418f8da9f06d70fb9d9afe00f6468f6d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a418f8da9f06d70fb9d9afe00f6468f6d">&#9670;&nbsp;</a></span>gradientStandart</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Gradient ReminderTable::gradientStandart</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Стандартный градиент </p>

<p class="definition">См. определение в файле <a class="el" href="ReminderTable_8qml_source.html">ReminderTable.qml</a> строка <a class="el" href="ReminderTable_8qml_source.html#l00016">16</a></p>

</div>
</div>
<hr/>Объявления и описания членов класса находятся в файле:<ul>
<li>/home/alner/Документы/Командный курсовой проект/deskhelper/deskhelper/app/deskhelper/src/<a class="el" href="ReminderTable_8qml_source.html">ReminderTable.qml</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Создано системой &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
